FROM oraclelinux:8
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# Odoo dependencies from OL repository and from EPEL, WKHTML
# Then PG10 and fonts
RUN yum -y groupinstall "Development Tools" && \
      yum -y install zlib-devel bzip2-devel openssl openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel libpcap xz-devel git mercurial libpng libjpeg libXext curl xorg-x11-font-utils fontconfig python3-virtualenv libevent-devel libxml2-devel libxslt-devel openldap-devel openjpeg2 freetype-devel libjpeg-turbo-devel libtiff-devel kernel-devel mailcap nodejs npm python3-pip postgresql libpq liberation-fonts && \
      yum -y install https://github.com/wkhtmltopdf/wkhtmltopdf/releases/download/0.12.5/wkhtmltox-0.12.5-1.centos8.x86_64.rpm && \
      yum clean all


# Install NPM dependencies
RUN npm install -g less@3 less-plugin-clean-css@1.5.1

# Create odoo user
RUN useradd odoo -md /opt/odoo

# Install OCB 12.0 latest
ENV ODOO_BRANCH 12.0
WORKDIR /opt/odoo
# Default user : odoo
USER odoo
RUN mkdir pipcache data backups extra-addons custom-addons && \
      git clone -b ${ODOO_BRANCH} --depth 1 https://github.com/OCA/OCB.git && \
      pip3 install --user --no-cache-dir -r OCB/requirements.txt && \
      pip3 install --no-cache-dir --user phonenumbers==8.12.44

WORKDIR /opt/odoo

# Launch scripts
COPY ./launch12.sh ./launch.sh
COPY ./genconf.sh ./

# Post-install tasks
RUN touch odoo.conf

# Odoo default ports
EXPOSE 8069 8072

# Volumes : data dir for filestore and addons
VOLUME /opt/odoo/data

CMD [ "bash", "launch.sh" ]
